%define upstream_name    Tie-ToObject
%define upstream_version 0.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

License:    GPL+ or Artistic
Group:      Development/Perl
Summary:    Tie to an existing object
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Tie/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:  perl(Test::use::ok)
BuildArch:      noarch


%description
While "tie" in perldoc allows tying to an arbitrary object, the class in
question must support this in it's implementation of TIEHASH, TIEARRAY or
whatever.

This class provides a very tie constructor that simply returns the object it
was given as it's first argument.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.yml
%{_mandir}/man3/*
%{perl_vendorlib}/Tie

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.30.0-11.mga9
+ Revision: 1806469
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.30.0-10.mga8
+ Revision: 1497830
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.30.0-9.mga7
+ Revision: 1272372
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.30.0-8.mga6
+ Revision: 1035236
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.30.0-7.mga6
+ Revision: 948399
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 0.30.0-6.mga5
+ Revision: 787838
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.30.0-5.mga5
+ Revision: 749157
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.30.0-4.mga5
+ Revision: 686691
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.30.0-3.mga4
+ Revision: 515666
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.30.0-2.mga3
+ Revision: 374347
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.30.0-1.mga1
+ Revision: 29409
- mageia rebuild
- imported package perl-Tie-ToObject


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.30.0-1mdv2010.0
+ Revision: 405758
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.03-4mdv2009.0
+ Revision: 258656
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.03-3mdv2009.0
+ Revision: 246650
- rebuild
- fix description-line-too-long

* Tue Jan 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.03-1mdv2008.1
+ Revision: 156875
- import perl-Tie-ToObject


* Tue Jan 22 2008 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.03-1mdv2008.1
- first mdv release
